コミュニティ

コミュニティの投稿を取得

GET /v1/communities/{community_id}/tweets reads 2 クレジット

コミュニティ内の投稿。関連度順または新しい順。

クエリパラメータ

クエリパラメータ型意味
countint 1–100 = 40要求するページサイズ。X はヒントとして扱います
cursorstring前のページの next_cursor から。デコードできないカーソルは 400 です
rankingRelevance | Recency = Relevance人気の投稿は Relevance、最新の投稿は Recency

レスポンス

コミュニティ ID、投稿の 1 ページ、次ページ用のカーソル (終端では null)。存在しないか利用できないコミュニティは 404 です。

ステータス: 200, 400, 404, 422, 429, 502

リクエスト
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/tweets?count=20&ranking=Recency \
  -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 400
{
  "community_id": "1493446837214187523",
  "tweets": [
    {
      "id": 2097713756054704513,
      "created_ms": 1788968907737,
      "user_id": 2729705040,
      "user": "buildinpublic",
      "name": "Build in Public",
      "text": "today we're launching DEALS 🎁✨ …",
      "lang": "en",
      "reply_to": null,
      "reply_to_status_id": null,
      "reply_to_user_id": null,
      "conversation_id": "2097713756054704513",
      "is_rt": false,
      "rt_of": null,
      "is_quote": false,
      "quoted": null,
      "media": [
        "https://pbs.twimg.com/media/….jpg"
      ],
      "media_items": [
        {
          "type": "photo",
          "url": "https://pbs.twimg.com/media/….jpg",
          "expanded_url": "https://x.com/buildinpublic/status/2097713756054704513/photo/1",
          "width": 1600,
          "height": 900
        }
      ],
      "urls": [
        "https://…"
      ],
      "views": "18422",
      "counts": {
        "reply": 41,
        "rt": 12,
        "like": 210,
        "quote": 3,
        "bookmark": 55
      },
      "source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAABCgABHSYyKLN__-kKAAIdJidkM5rByQgAAwAAAAIAAA"
}